<?php

namespace App\Http\Controllers;

use App\Models\Cash;
use App\Models\Collectors;
use App\Models\Donators;
use App\Models\Payment;
use App\Models\Receipt;
use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Validation\Rule;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Str;

class CashBookReportController extends Controller
{
    public function index(Request $request)
    {
        $collectorsdata = Collectors::all();

        $data_query = Cash::select('*');
      
        if($request->input('from_date')){

            $from_date = $request->input('from_date');
            $to_date = $request->input('to_date');
        
            $data_query = $data_query->whereBetween('entry_date',[$from_date,$to_date]);
        }
        // else{

        //     $current_date = date('Y-m-d');
        //     $data_query = $data_query->where('entry_date',$current_date);
        // }

        if($request->input('receiver_id')){

            $data_query->where('collectors_id',$request->input('receiver_id'));
        }

        if($request->input('type_refer')){

            $data_query->where('refer',$request->input('type_refer'));
        }

       
       
        $data = $data_query->get();

        foreach($data as $record)
        {
            $voucher_no = '';

            if($record->refer == 'Receipt'){

                $voucher_datas = Receipt::find($record->refer_id);
                $voucher_no = $voucher_datas->receipt_no;

            }elseif($record->refer == 'Payment'){

                $voucher_datas = Payment::find($record->refer_id);
                $voucher_no = $voucher_datas->payment_no;
            }
            $record->description = $voucher_datas->description;
            $record->voucher_no = $voucher_no;

        }
            

        if($request->input('filter') == 'filter'){
            return view('cashbook-report.table-list',['data' => $data,'collectorsdata'=>$collectorsdata]);
        }else{
            return view('cashbook-report.list',['data' => $data,'collectorsdata'=>$collectorsdata]);
        }
    }
}
