<?php

namespace App\Http\Controllers;

use App\Models\Cash;
use App\Models\Collectors;
use App\Models\Donators;
use App\Models\Receipt;
use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Validation\Rule;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Str;

class CollectionReportController extends Controller
{
    public function index(Request $request)
    {

        $collectorsdata = Collectors::all();

        $data_query = Receipt::select('*');
      
        if($request->input('from_date')){

            $from_date = $request->input('from_date');
            $to_date = $request->input('to_date');
        
            $data_query = $data_query->whereBetween('entry_date',[$from_date,$to_date]);
        }
        // else{

        //     $current_date = date('Y-m-d');
        //     $data_query = $data_query->where('entry_date',$current_date);
        // }

        if($request->input('receiver_id')){

            $data_query->where('collectors_id',$request->input('receiver_id'));
        }

        if($request->input('donator_id')){

            $data_query->where('donators_id',$request->input('donator_id'));
        }
       
        $data = $data_query->orderBy('donators_id')->get();

        if($request->input('filter_from') == 'Group Report'){
            return $data;
        }

        if($request->input('filter_from') == 'Collect Out'){
            return $data;
        }
            

        if($request->input('filter') == 'filter'){
            return view('collection-report.table-list',['data' => $data]);
        }else{
            return view('collection-report.list',['data' => $data,'collectorsdata'=>$collectorsdata]);
        }
    }
}
