<?php

namespace App\Http\Controllers;

use App\Models\Cash;
use App\Models\Collectors;
use App\Models\Donators;
use App\Models\Payment;
use App\Models\Receipt;
use Carbon\Carbon;
use Illuminate\Http\Request;
use Illuminate\Validation\Rule;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB; 
use Illuminate\Support\Str;

class CollectorsOutstandingController extends Controller
{
    public function index(Request $request)
    {
        $collectorsdata = Collectors::all();

          $data_query = DB::table('cashes')
                                    ->join('collectors','cashes.collectors_id','=','collectors.id') 
                                    ->select(DB::raw('sum(cashes.debit) as debit,sum(cashes.credit) as credit'),
                                        'collectors.name as collectors_name',
                                        'collectors.id as collectors_id',
                                    )
                                    //->where('cashes.collectors_id','<>',null)
                                    ->groupBy('cashes.collectors_id');

  
        // if($request->input('from_date')){

        //     $from_date = $request->input('from_date');
        //     $to_date = $request->input('to_date');
        
        //     $data_query = $data_query->whereBetween('entry_date',[$from_date,$to_date]);
        // }

        

        if($request->input('receiver_id')){

            $data_query->where('cashes.collectors_id',$request->input('receiver_id'));
        }


           $data = $data_query->get();
      
       
       
        if($request->input('filter') == 'filter'){
            return view('collectorsoutstanding-report.table-list',['data' => $data,'collectorsdata'=>$collectorsdata]);
        }else{
            return view('collectorsoutstanding-report.list',['data' => $data,'collectorsdata'=>$collectorsdata]);
        }
    }

        public function collectors_out_transaction(Request $request)
        {

            $request->merge(['filter_from' => 'Collect Out']);

            if($request->input('type') == 'collect'){

                $CollectionReportController = new CollectionReportController();
                $data = $CollectionReportController->index($request);    

                return view('collectorsoutstanding-report.transaction_collect',['data' => $data]);

            }elseif($request->input('type') == 'payment'){

                $paymentReportController = new PaymentReportController();
                $data = $paymentReportController->index($request);    

                return view('collectorsoutstanding-report.transaction_payment',['data' => $data]);
            }
                

                
        
        }
}
