<?php

namespace App\Http\Controllers;

use App\Models\Collectors;
use App\Models\Donators;
use Illuminate\Http\Request;
use Illuminate\Validation\Rule;
use Illuminate\Support\Facades\Auth;

class DonatorsController extends Controller
{
   
    public function index()
    {
        $data = Donators::all(); 
        return view('donators.list',['data' => $data]);  
    }

    
    public function create()
    {
        $collectorsdata = Collectors::all();

        return view('donators.create',['collectorsdata'=>$collectorsdata]);
    }

   
    public function store(Request $request)
    {
        $validated = $request->validate([
                
            'name' => ['required','unique:donators,name'],
            ],
            
            $this->messages(),
        );
        $donators = new Donators();
        $donators->name = $request->input('name');
        $donators->contact_no = $request->input('contact_no');
        $donators->type = $request->input('type');
        $donators->note_no = $request->input('note_no');
        $donators->collectors_id = $request->input('receiver_name');
        // $donators->created_by = Auth::user()->id;
        // $donators->ip_address = $request->ip();
        // $donators->acc_year = AccountingyearController::accounting_year(Carbon::now());
        $donators->save();

        return redirect('/donators')->with('success',$request->input('name').' Donator Created');
    }

    
    public function show($id)
    {
        //
    }

    
    public function edit($id)
    {
        $data = Donators::find($id);
        $collectorsdata = Collectors::all();

        return view('donators.edit',['data' => $data,'collectorsdata'=>$collectorsdata]);
    }

    
    public function update(Request $request, $id)
    {
        $donators = Donators::find($id);

        $validated = $request->validate([
            'name' => [
                Rule::unique('donators','name')->ignore($donators->id),
            ],
        ],
            $this->messages(),
        );
        $donators->name = $request->input('name');
        $donators->contact_no = $request->input('contact_no');
        $donators->type = $request->input('type');
        $donators->note_no = $request->input('note_no');
        $donators->collectors_id = $request->input('receiver_name');
        // $donators->created_by = Auth::user()->id;
        // $donators->ip_address = $request->ip();
        // $donators->acc_year = AccountingyearController::accounting_year(Carbon::now());
        $donators->save();

        return redirect('/donators')->with('success',$request->input('name').' Donators Updated');
    }

   
    public function destroy($id)
    {
        $donators = Donators::find($id);
        $donators->delete();
    }
    public function messages()
    {
        return [
            
            'name.unique' => 'This Name is Already Exist',
            
        ];
    }


    public function get_donators(Request $request){

        // return $request->division;
        $data = '';
        
        if($request->receiver_id){
         $data = Donators::select('id','name as text')
                         ->where('collectors_id',$request->receiver_id)
                         ->where('name','like','%'.$request->search.'%')
                        // ->where('status','Active')
                         ->get();
        }
 
         return $data;
     }
}
