<div id="product-track-nav" class="product-track">
    <a href="javascript:void(0)" class="closebtn" onclick="closeProductTrack()">&times;</a>
    <div class="col-md-12">
       <h4><b>Item Details</b></h4> 
        <div class="row bg-light pl-3">
            <div class="row col-md-12">
                <input type="hidden" id="product-track-id" disabled>
                <h5 id="product-label" class="text-primary pt-4 font-weight-bold"></h5><br>
            </div>
            <div class="row col-md-12">
                <label id="uom-label" class="text-secondary font-weight-bold"></label>
            </div>
            <div class="row">
                <div class="col-md-12">   
                    <p style="margin: 0">Division : <span id="division-label" class="font-weight-bold"></span></p>
                {{-- </div>
                <div class="col-md-6"> --}}
                    <p style="margin: 0">Category : <span id="category-label" class="font-weight-bold">RAW MATERIAL</span></p>
                </div>
            </div>
        </div>
        
       <hr>
        <ul class="nav nav-pills mb-3" id="pills-tab" role="tablist">
            <li class="nav-item" role="presentation">
                <a class="nav-link active" id="item-details-tab" data-toggle="pill" href="#item-details" role="tab" aria-controls="item-details" aria-selected="true">Item Details</a>
            </li>
            <li class="nav-item" role="presentation">
                <a class="nav-link" id="item-stock-location-tab" data-toggle="pill" href="#item-stock-location" role="tab" aria-controls="item-stock-location" aria-selected="false">Stock Location</a>
            </li>
            <li class="nav-item" role="presentation">
                <a class="nav-link" id="item-transaction-tab" data-toggle="pill" href="#item-transactions" role="tab" aria-controls="item-transactions" aria-selected="false">Transactions</a>
            </li>
        
        </ul>
        <div class="tab-content" id="pills-tabContent">
            <div class="tab-pane fade show active" id="item-details" role="tabpanel" aria-labelledby="item-details-tab">
                <label style="font-size: 16px;"><b>Purchase Details</b></label>
                <div class="row pt-2">
                    <div class="col-md-2">
                    <a href="#"><i class="fas fa-truck fa-2x"></i></a>
                    </div>
                    <div class="col-md-4">
                    <p style="margin: 0">To be Received</p>
                    <p style="margin: 0" id="to-receive-qty" class="font-weight-bold">250.00</p>
                    </div>
                </div>
                <hr>
                <label style="font-size: 16px;"><b>Stock Details</b></label>
                <table style="width: 100%">
                    <tr>
                        <td>Stock on Hand</td>
                        <td id="stock-on-hand"></td>
                    </tr>
                </table>
            </div>
            <div class="tab-pane fade show" id="item-stock-location" role="tabpanel" aria-labelledby="item-stock-location-tab">
                <div id="stock-location-div">
                    <table style="width: 100%" class="table" id="stock-location-table">
                        <thead>
                            <tr>
                                <th>Division</th>
                                <th>Warehouse</th>
                                <th>Stock on Hand</th>
                            </tr>
                        </thead>
                        <tbody>
                        </tbody>
                    </table>
                </div>
            </div>
            <div class="tab-pane fade show" id="item-transactions" role="tabpanel" aria-labelledby="item-transaction-tab">
                <div class="dropdown">
                    <a href="#" style="color: black; font-size:16px;" class="dropdown-toggle text-decoration-none" id="transaction-menu" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                      Purchase Order
                    </a>
                    <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                      {{-- <a class="dropdown-item transaction-item" href="#">Bill</a> --}}
                      <a class="dropdown-item transaction-item" href="#">Purchase Order</a>
                    </div>
                </div>
                <hr>
                <div id="transaction-details">
                   
                </div>
            </div>
        </div>
       
    </div>
    
</div>
  
  @section('product-track-script-content')
      
  
  <script>

    $(document).ready(function(){

        $(document).on('click','.transaction-item',function(){

           let transactionMenu =  $("#transaction-menu").text();
           
           if(transactionMenu != $(this).text()){

                $("#transaction-menu").text($(this).text());

           }
           
        
        });

    });

    function getProductTransaction(){

        let id = $("#product-track-id").val();
        let transactionType = $("#transaction-menu").text().trim();

        $.ajax({
   
            url:`/product/transaction/${id}/${transactionType}`,
            type:"GET",
            success:function(data){ 
               
               let output = ''; 
               
               for(const item in data.productdetails){

                    output += `
                    <div class="row">
                        <div class="col-md-6">
                            <p id="supplier-details" class="text-secondary font-weight-bold">${data.productdetails[item].supplier}</p>
                            <label id="po-details" >${data.productdetails[item].pono} / ${data.productdetails[item].podate}</label>
                        </div>
                        <div class="col-md-6">
                            <p>Item price : <span class="font-weight-bold" id="item-price">${data.productdetails[item].price}</span></p>
                            <label>Per : <b>${data.productdetails[item].uom}</b></label>
                        </div>
                    </div>
                    
                    <hr>`;
               }

              
               $("#transaction-details").html(output);
                
            },
            error:function(){

            }
        });
    }
    
    function openProductTrack(id, tabtype = null) {



        $.ajax({
   
            url:`/product/track/${id}`,
            type:"GET",
            success:function(data){ 

                document.getElementById("product-track-nav").style.width = "500px";
                $("#product-label").html(data.product);
                $("#uom-label").html(data.uom);
                $("#category-label").html(data.category);
                $("#division-label").html(data.divisions);
                $("#to-receive-qty").html(data.toreceive.toFixed(2));
                $("#product-track-id").val(id);
                $("#stock-on-hand").html(data.stockonhand.toFixed(2));

                
                getProductTransaction();

                if(tabtype == 'transaction'){

                    $("#item-transaction-tab").tab('show');

                }

                let divisionstock = '';

                for(const item in data.divisionstock){

                    divisionstock += `
                        <tr>
                            <td><b>${data.divisionstock[item].division}</b></td>
                            <td></td>
                            <td><b>${data.divisionstock[item].stockon_hand}</b></td>
                        </tr>
                    `;

                    let sNo = 0;


                    for(const warehouseitem in data.divisionstock[item].ware_house_data){

                        divisionstock += `
                                    <tr>
                                        <td>${sNo = sNo + 1}</td>
                                        <td>${data.divisionstock[item].ware_house_data[warehouseitem].ware_house}</td>
                                        <td>${data.divisionstock[item].ware_house_data[warehouseitem].qty}</td>
                                    </tr>
                                `;

                    }
                }

                $("#stock-location-table tbody").html(divisionstock);
               
            },
            error:function(){
   
            }
        });
        
    }

    
    function closeProductTrack() {
      
        document.getElementById("product-track-nav").style.width = "0";
      
    }
</script>

@endsection