@extends('layouts.app') 
@section('content')

<div class="card shadow bg-white rounded">
   <x-pageheader-component url="donators.create" title="Donators List" pagetype="list" permission="create donators"/>        
    <div class="card-body">
       @include('layouts.flash-message')
        <table id="example" class="display responsive nowrap" style="width:100%">
            <thead>
                <tr>
                    <th>S.No</th>
                    <th data-priority="1">Donators Name</th>
                    <th data-priority="1">Contact No</th>
                    <th data-priority="1">Donators Type</th>
                    <th data-priority="1">Receiver Name</th>
                    <th data-priority="2">Note No</th>
                    {{-- <th data-priority="3">Status</th>    --}}
                    <th>Action</th>
                </tr>
            </thead>
            <tbody>
                @php
                   $i = 0; 
                @endphp
                @foreach ($data as $item)
                    <tr>
                        <td>{{$i=$i+1}}</td>
                        <td>{{$item->name}}</td>
                        <td>{{$item->contact_no }}</td>
                        <td>{{$item->type }}</td>
                        <td>{{$item->collectors->name }}</td>
                        <td>{{$item->note_no }}</td>
                        {{-- <td><x-liststatus-component status="{{$item->status}}" /></td> --}}
                        <td>
                            <x-actionbtn-component id="{{$item->id}}" permission="donators" routeurl="donators" />  
                        </td>
                    </tr>
                @endforeach
                
            </tbody>
            <tfoot>
                <tr>
                    <th>S.No</th>
                    <th data-priority="1">Donators Name</th>
                    <th data-priority="1">Contact No</th>
                    <th data-priority="1">Donators Type</th>
                    <th data-priority="1">Receiver Name</th>
                    <th data-priority="2">Note No</th>
                    {{-- <th data-priority="3">Status</th>    --}}
                    <th>Action</th>
                </tr>
            </tfoot>
        </table>
    </div>
</div>
@endsection

@section('script-content')

<script>
    $(document).ready( function () {
        
        $('#example').DataTable({
            "order": [],//to disable initial ordering of datatable column
        
        });
    });

</script>
    
@endsection