@extends('layouts.app') 

@section('content')

<div class="card shadow bg-white rounded">
    <x-pageheader-component url="payment.create" title="Payment Entry List" pagetype="list" permission="create payment"/> 
    <div class="card-body">
        {{-- <x-filter-component filterurl="/purchaseorder"> --}}
            <div class="row">
                <div class="form-group col-md-3">
                    <label><b>Date Range</b></label>
                    <div id="reportrange" style="background: #fff; cursor: pointer; padding: 5px 10px; border: 1px solid #ccc; width: 100%">
                        <i class="fas fa-calendar-alt"></i>&nbsp;
                        <span></span> <i class="fas fa-caret-down"></i>
                    </div>
                    
                </div>
                
                <div class="form-group  col-md-2">
                    <label><b>Collectors</b></label>
                    <select name="receiver_id" id="receiver_id"  class="form-control custom-select" style="width:100%;" required>
                        <option value="">All</option>
                        @foreach($collectorsdata as $item)
                        <option value="{{$item->id}}">{{$item->name}}</option>
                    @endforeach
                    
                </select>
                </div>
                {{-- <div class="form-group col-md-2">
                    <label><b>Donators</b></label>
                    <select name="donator_id" id="donator_id"  class="form-control custom-select select2-dropdown-donators" style="width:100%;" required>
                        <option value="">All</option>
                </select>
                </div> --}}
                
                <div class="form-group col-md-1">
                   <label>&nbsp;</label><br>
                   <button type="submit" id="filter-btn" class="btn btn-primary"><i class="fas fa-search"></i></button> 
                </div>
            </div>
            
       @include('layouts.flash-message')
       <div  id="payment-table-div">
             @include('payment.table-list') 
       </div>
       
    </div>
</div>

<x-modalpopup-component title="payment View"/>

@endsection

@section('script-content')


<script>
    $(document).ready( function () {
        datatable_initialise();
    });

    function datatable_initialise(){
  
        $('#example').DataTable({
            "order": [],//to disable initial ordering of datatable column
            //"scrollY":        400,
            // "scrollX":        true,
            // "scrollCollapse": true,
           // "paging":         true,
            "dom" : "QlBftip",
                "buttons" : ['excel','pdf','print'],
        });
    }

   

$(document).on('click','.listdelete', form_delete);

function form_delete(event){
    
    let id = event.target.dataset.deleteid;
    
    Swaldelete.fire().then((result) => {
        
        if (result.isConfirmed) {
            $.ajax({
                url:`/payment/${id}`,// don't use global route helper in javascript functions
                type:"DELETE",
                success:function(data){
                    console.log(data);
                    Toastdelete.fire().then((result) => {

                     window.location.href = "/payment";
                    });
                },
                error:function(){

                }
            });
        }
    });
    
}

$(document).ready( function () {

var start = moment();
var end = moment();

console.log(start);

var fromDate = '';
var toDate = '';

function calendarbox(start, end) {

   fromDate = start.format('YYYY-MM-DD');
   toDate = end.format('YYYY-MM-DD');
   
   $('#reportrange span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'));
}

$('#reportrange').daterangepicker({
    startDate: start,
    endDate: end,
    showDropdowns: true,
    linkedCalendars: false,
    ranges: {
    'Today': [moment(), moment()],
    'Yesterday': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
    'Last 7 Days': [moment().subtract(6, 'days'), moment()],
    'Last 30 Days': [moment().subtract(29, 'days'), moment()],
    'This Month': [moment().startOf('month'), moment().endOf('month')],
    'Last Month': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
    }
}, calendarbox);

calendarbox(start, end);



$("#filter-btn").click(function(){

    let formdata = {
        
        filter: "filter",
        receiver_id: $("#receiver_id").val(),
       // donator_id: $("#donator_id").val(),
        from_date: fromDate,
        to_date: toDate,
    };

    console.log(formdata);
        $.ajax({
                url:`/payment`,// don't use global route helper in javascript functions
                type:"GET",
                data : formdata,
                success:function(data){
                    console.log(data);
                    $("#payment-table-div").html(data);    
                    
                    datatable_initialise();              
                },
                error:function(){
                
            }
        });

});


});


</script>
    
@endsection