@extends('layouts.app')

@section('content')

<div style="height: 98vh" class="col-md-12 d-md-flex align-items-md-center justify-content-md-center">
    
    <div class="col-md-5">
        <form id="register_form" method="POST" action="{{route('register.store')}}" class="needs-validation" novalidate>	
        @csrf	
        <div class="card shadow-sm bg-white rounded" style="height:95vh;">
            <div class="card-header">
                <h3>Register</h3>
            </div>
            <div class="card-body" id="register-div">
                <div class="mb-2">
                    <label><b>Name</b></label>
                    <input type="text" class="form-control" name="name" id="name" placeholder="Enter Name" required>
                </div>
                <div class="mb-2">
                    <label><b>Email</b></label>
                    <input type="email" class="form-control" name="email" id="email" placeholder="Enter email" required>
                </div>
                <div class="mb-2">
                    <label><b>Password</b></label>
                    <input type="password" class="form-control" name="password" id="password" placeholder="Enter password" required>
                </div>
                <div class="d-grid mb-2 gap-2">
                    <button type="submit" id="register_btn" class="btn btn-primary">Register</button>
                </div>
            </div>
        </div>
        </form>
    </div>
    
</div>
@endsection

@section("script-content")

<script>
           
				
    const form_submit = document.getElementById("register_form");
    form_submit.addEventListener('submit',signup_form_submit);
    
    function signup_form_submit(e){
        e.preventDefault();
        e.stopPropagation();
        var forms = document.getElementsByClassName('needs-validation');
        var validation = Array.prototype.filter.call(forms, function(form) {
        
            if (form.checkValidity() === false) {
            
                form.classList.add('was-validated');
            
            }else{

                $("#register_btn").prop('disabled',true);

                form_submit.submit();
            
            }
        });

    }
    
</script>

@endsection