<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="csrf-token" content="{{ csrf_token() }}">
        <title>Sri Maha Maariamman</title>
        <link href="{{ asset('css/app.css') }}" rel="stylesheet">
        <link href="https://fonts.googleapis.com/css2?family=Nunito:wght@400;600;700&display=swap" rel="stylesheet">

        <!-- Styles -->
        <style>
            body {
                font-family: 'Nunito', sans-serif;
            }
        </style>
    </head>
    <body>

<div style="height: 98vh" class="col-md-12 d-flex align-items-center justify-content-center">
    <div class="col-md-4">	
        @if (session('success'))
            <div class="alert alert-success alert-dismissible" role="alert">
                {{session('success')}}
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
            </div>
        @endif
        @if (session('error'))
            <div class="alert alert-danger  alert-dismissible" role="alert">
                {{session('error')}}
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>

            </div>
        @endif
        <div class="card shadow bg-white rounded">
            <div class="card-body">
                <form id="login_form" method="POST" action="/login" class="needs-validation" novalidate>	
                    @csrf	
                    {{-- <div class="mb-2 d-flex justify-content-center" style="background-color: tomato">
                        <h3>Login</h3>
                    </div> --}}
                    <div class="col-md-12 pt-3 d-flex justify-content-center">
                        <img src="{{ asset('images/logo1.jpg') }}" width="250px;" height="200px;">
                    </div>
                    <div class="mb-2">
                        <label for="email_login"><b>Email</b></label>
                        <input type="email" class="form-control" name="email" id="email" placeholder="Enter registered email" required>
                    </div>
                    <div class="mb-2">
                        <label for="password_login"><b>Password</b></label>
                        <input type="password" class="form-control" name="password" id="password" placeholder="Enter password" required>
                    </div>
                    <div class="d-grid mb-2 gap-2">
                        <button type="submit" id="login_btn" class="btn btn-primary">Login</button>
                    </div>
                </form>
                {{-- <a class="d-flex justify-content-center" href="/register">Click here to register here...</a> --}}
            </div>
        </div>
    </div>
</div>

</body>
</html>




<script src="{{ asset('js/app.js') }}"></script>
<script>

    $(document).ready(function(){

        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });
    });
				
    const form_submit = document.getElementById("login_form");
    form_submit.addEventListener('submit',login_form_submit);
    
    function login_form_submit(e){
        e.preventDefault();
        e.stopPropagation();
        var forms = document.getElementsByClassName('needs-validation');
        var validation = Array.prototype.filter.call(forms, function(form) {
        
            if (form.checkValidity() === false) {
            
                form.classList.add('was-validated');
            
            }else{

                $("#login_btn").prop('disabled',true);

                form_submit.submit();
            
            }
        });

    }
    
</script>

